Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

can't open Firefox - error message

more options

I can't open Firefox browser. I get an error message, "Error: Platform version '127.0.1 is not compatible with minVersion > = 127.0 maxVersion < = 127.0"

I can only get Google Chrome.

Please advise

I can't open Firefox browser. I get an error message, "Error: Platform version '127.0.1 is not compatible with minVersion > = 127.0 maxVersion < = 127.0" I can only get Google Chrome. Please advise

Alle svar (1)

more options

Hi Marguerite, sorry about that. The usual reason for that message is that installer/updater didn't replace all of the program files so there is a mix of different version files. You can try downloading and re-running the installer and hopefully that will not happen again. However, if a file has been locked by another process in your computer, you might need to do a regular shutdown and restart of Windows before it takes.

You can download a full installer from: https://www.mozilla.org/en-US/firefox/all/#product-desktop-release

Nyttig?

Stil et spørgsmål

Du skal logge ind på din konto for at svare på et indlæg. Start et nyt spørgsmål, hvis du ikke har en konto endnu.